Subject: re: GSSAPI Authenticator help

From: Chris Drumgoole <[email-masked]>
Date: Thu, 5 Jul 2001 21:10:11 -0400 (EDT)

Mark,
thanks for your reply.  That was the problem, our keytab file was named
"keytab" instead of "krb5.keytab".

thanks again!

chris

<q

On Thu, 5 Jul 2001, Mark Crispin wrote:

}Date: Thu, 5 Jul 2001 17:14:29 -0700 (PDT)
}From: Mark Crispin <[email-masked]>
}To: Chris Drumgoole <[email-masked]>
}Cc: [email-masked]
}Subject: re: GSSAPI Authenticator help
}
}On Thu, 5 Jul 2001 19:32:27 -0400 (EDT), Chris Drumgoole wrote:
}> When I try to connect to my imapd server, let's say,
}> telnet hostname 143, I see this:
}> * OK [CAPABILITY IMAP4 IMAP4REV1 LOGIN-REFERRALS AUTH=LOGIN] blah blah...
}> I noticed, there is no AUTH=GSSAPI.  shouldn't that be there?
}
}Did you set up a keytab file (normally, /etc/krb5.keytab) for MIT Kerberos?
}If you do not have a keytab file, then the IMAP server won't advertise GSSAPI.
}
}Note that you need both a krb5.conf and krb5.keytab for things to work, and
}that the keytab file requires arrangement with the KDC management.
}
}